Package org.apache.qpid.proton.codec

# Interface Encoder

All Known Subinterfaces:
  `ByteBufferEncoder`

All Known Implementing Classes:
  `EncoderImpl`

public interface Encoder

## Method Summary

Modifier and Type
Method
Description
`AMQPType`
`getType(Object element)`
`<V> void`
`register(AMQPType<V> type)`
`void`
`writeArray(boolean[] a)`
`void`
`writeArray(byte[] a)`
`void`
`writeArray(char[] a)`
`void`
`writeArray(double[] a)`
`void`
`writeArray(float[] a)`
`void`
`writeArray(int[] a)`
`void`
`writeArray(long[] a)`
`void`
`writeArray(short[] a)`
`void`
`writeArray(Object[] a)`
`void`
`writeBinary(Binary b)`
`void`
`writeBoolean(boolean bool)`
`void`
`writeBoolean(Boolean bool)`
`void`
`writeByte(byte b)`
`void`
`writeByte(Byte b)`
`void`
`writeCharacter(char c)`
`void`
`writeCharacter(Character c)`
`void`
`writeDecimal128(Decimal128 d)`
`void`
`writeDecimal32(Decimal32 d)`
`void`
`writeDecimal64(Decimal64 d)`
`void`
`writeDescribedType(DescribedType d)`
`void`
`writeDouble(double d)`
`void`
`writeDouble(Double d)`
`void`
`writeFloat(float f)`
`void`
`writeFloat(Float f)`
`void`
`writeInteger(int i)`
`void`
`writeInteger(Integer i)`
`void`
`writeList(List l)`
`void`
`writeLong(long l)`
`void`
`writeLong(Long l)`
`void`
`writeMap(Map m)`
`void`
`writeNull()`
`void`
`writeObject(Object o)`
`void`
`writeShort(short s)`
`void`
`writeShort(Short s)`
`void`
`writeString(String s)`
`void`
`writeSymbol(Symbol s)`
`void`
`writeTimestamp(long d)`
`void`
`writeTimestamp(Date d)`
`void`
`writeUnsignedByte(UnsignedByte ubyte)`
`void`
`writeUnsignedInteger(UnsignedInteger ushort)`
`void`
`writeUnsignedLong(UnsignedLong ulong)`
`void`
`writeUnsignedShort(UnsignedShort ushort)`
`void`
`writeUUID(UUID uuid)`

## Method Details

### writeNull

void writeNull()

### writeBoolean

void writeBoolean(boolean bool)

### writeBoolean

void writeBoolean(Boolean bool)

### writeUnsignedByte

void writeUnsignedByte(UnsignedByte ubyte)

### writeUnsignedShort

void writeUnsignedShort(UnsignedShort ushort)

### writeUnsignedInteger

void writeUnsignedInteger(UnsignedInteger ushort)

### writeUnsignedLong

void writeUnsignedLong(UnsignedLong ulong)

### writeByte

void writeByte(byte b)

### writeByte

void writeByte(Byte b)

### writeShort

void writeShort(short s)

### writeShort

void writeShort(Short s)

### writeInteger

void writeInteger(int i)

### writeInteger

void writeInteger(Integer i)

### writeLong

void writeLong(long l)

### writeLong

void writeLong(Long l)

### writeFloat

void writeFloat(float f)

### writeFloat

void writeFloat(Float f)

### writeDouble

void writeDouble(double d)

### writeDouble

void writeDouble(Double d)

### writeDecimal32

void writeDecimal32(Decimal32 d)

### writeDecimal64

void writeDecimal64(Decimal64 d)

### writeDecimal128

void writeDecimal128(Decimal128 d)

### writeCharacter

void writeCharacter(char c)

### writeCharacter

void writeCharacter(Character c)

### writeTimestamp

void writeTimestamp(long d)

### writeTimestamp

void writeTimestamp(Date d)

### writeUUID

void writeUUID(UUID uuid)

### writeBinary

void writeBinary(Binary b)

### writeString

void writeString(String s)

### writeSymbol

void writeSymbol(Symbol s)

### writeList

void writeList(List l)

### writeMap

void writeMap(Map m)

### writeDescribedType

void writeDescribedType(DescribedType d)

### writeArray

void writeArray(boolean[] a)

### writeArray

void writeArray(byte[] a)

### writeArray

void writeArray(short[] a)

### writeArray

void writeArray(int[] a)

### writeArray

void writeArray(long[] a)

### writeArray

void writeArray(float[] a)

### writeArray

void writeArray(double[] a)

### writeArray

void writeArray(char[] a)

### writeArray

void writeArray(Object[] a)

### writeObject

void writeObject(Object o)

### register

<V> void register(AMQPType<V> type)

### getType

AMQPType getType(Object element)